Bug 127965 - Evolutions ldap backend crashes when saving empty Tel. No.
Evolutions ldap backend crashes when saving empty Tel. No.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 15:31 EDT by Harry Waye
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 17:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harry Waye 2004-07-15 15:31:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When saving changes to a contact in ldap with the Business or Home
telephone numbers empty when previously they were not empty, the ldap
backend crashes.  I have found this on two boxes (I only have 2 client
boxes.)  It doesn't happen with the Business Fax or Mobile numbers.

Version-Release number of selected component (if applicable):
evolution-1.4.6-2

How reproducible:
Always

Steps to Reproduce:
1. Edit the Business or Home telephone numbers to a none empty value.
2. Save the contact.
3. Edit the contact, remove the business or home numbers.
4. Save the card.
    

Actual Results:  Should save contact with empty numbers.

Expected Results:  ldap backend crashes, requiring a restart of evolution.

Additional info:
Comment 1 Dave Malcolm 2004-09-24 14:19:37 EDT
I'm sorry that it's taken so long for me to look at this bug.

Are you still able to reproduce this crash?  If so, please can you
install the evolution-debuginfo package and attach a backtrace of the
evolution and wombat processes to this bug.

(see http://fedora.linux.duke.edu/wiki/StackTraces for more information)
Comment 2 Harry Waye 2004-10-01 19:24:53 EDT
I'm on rawhide so that version has long gone.  Most current seems
fine, no proper testing, have not got the time.
Comment 3 Matthew Miller 2005-04-26 12:10:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 John Thacker 2006-10-25 17:01:06 EDT
Closing since it seems to be fixed in the later version.  

Also note that FC1 and FC2 are no longer supported even by Fedora Legacy.  If
this still occurs on FC3 or FC4, please assign to that version and Fedora
Legacy.  If it still occurs on FC5 or FC6, please reopen and assign to the
correct version.

Note You need to log in before you can comment on or make changes to this bug.